#!/bin/sh
. /var/http/web-functions
. /etc/coyote/coyote.conf

cl_header

IFCONFIG="/sbin/ifconfig"


#### LANS
#LAN 1
if [ "${IF_LOCAL}" != "" ]; then
    LAN1OUTPUT=`${IFCONFIG} ${IF_LOCAL} |grep bytes`
    LAN1DOWNOLD=`echo ${LAN1OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    LAN1UPOLD=`echo ${LAN1OUTPUT}|grep bytes|awk '{print $6}'|sed s/"bytes:"//`
fi

#LAN2
if [ "${IF_LOCAL2}" != "" ]; then
    LAN2OUTPUT=`${IFCONFIG} ${IF_LOCAL2} |grep bytes`
    LAN2DOWNOLD=`echo ${LAN2OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    LAN2UPOLD=`echo ${LAN2OUTPUT}|grep bytes|awk '{print $6}'|sed s/"bytes:"//`
fi

#LAN3
if [ "${IF_LOCAL3}" != "" ]; then
    LAN3OUTPUT=`${IFCONFIG} ${IF_LOCAL3} |grep bytes`
    LAN3DOWNOLD=`echo ${LAN3OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    LAN3UPOLD=`echo ${LAN3OUTPUT}|grep bytes|awk '{print $6}'|sed s/"bytes:"//`
fi

#LAN4
if [ "${IF_LOCAL4}" != "" ]; then
    LAN4OUTPUT=`${IFCONFIG} ${IF_LOCAL4} |grep bytes`
    LAN4DOWNOLD=`echo ${LAN4OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    LAN4UPOLD=`echo ${LAN4OUTPUT}|grep bytes|awk '{print $6}'|sed s/"bytes:"//`
fi
#########

#### INETS
#INET1
if [ "${IF_INET}" != "" ]; then
    INET1OUTPUT=`${IFCONFIG} ${IF_INET} |grep bytes`
    INET1DOWNOLD=`echo ${INET1OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    INET1UPOLD=`echo ${INET1OUTPUT}|grep bytes|awk '{print $6}'|sed s/"bytes:"//`
fi

#INET2
if [ "${IF_INET2}" != "" ]; then
    INET2OUTPUT=`${IFCONFIG} ${IF_INET2} |grep bytes`
    INET2DOWNOLD=`echo ${INET2OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    INET2UPOLD=`echo ${INET2OUTPUT}|grep bytes|awk '{print $6}'|sed s/"bytes:"//`
fi

#INET3
if [ "${IF_INET3}" != "" ]; then
    INET3OUTPUT=`${IFCONFIG} ${IF_INET3} |grep bytes`
    INET3DOWNOLD=`echo ${INET3OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    INET3UPOLD=`echo ${INET3OUTPUT}|grep bytes|awk '{print $6}'|sed s/"bytes:"//`
fi

#INET1
if [ "${IF_INET4}" != "" ]; then
    INET4OUTPUT=`${IFCONFIG} ${IF_INET4} |grep bytes`
    INET4DOWNOLD=`echo ${INET4OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    INET4UPOLD=`echo ${INET4OUTPUT}|grep bytes|awk '{print $6}'|sed s/"bytes:"//`
fi

#########

sleep 1

#### LANS
LANTOTDOWN=0
LANTOTUP=0

#LAN1
if [ "${IF_LOCAL}" != "" ]; then
    LAN1OUTPUT=`${IFCONFIG} ${IF_LOCAL} |grep bytes`
    LAN1DOWNNOW=`echo ${LAN1OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    LAN1UPNOW=`echo ${LAN1OUTPUT}|awk '{print $6}'|sed s/"bytes:"//`
    let "LAN1UP= $LAN1UPNOW - $LAN1UPOLD"
    let "LAN1DOWN= $LAN1DOWNNOW - $LAN1DOWNOLD"
    MONLAN1="<td style=\" font-size:xx-small; height:1px; width:50;\">up: $(($LAN1DOWN / 1024)) <br /> dn: $(($LAN1UP / 1024))</td>"
    let "LANTOTDOWN=$LANTOTDOWN + $(($LAN1UP / 1024))"
    let "LANTOTUP=$LANTOTUP + $(($LAN1DOWN / 1024))"
fi

#LAN2
if [ "${IF_LOCAL2}" != "" ]; then
    LAN2OUTPUT=`${IFCONFIG} ${IF_LOCAL2} |grep bytes`
    LAN2DOWNNOW=`echo ${LAN2OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    LAN2UPNOW=`echo ${LAN2OUTPUT}|awk '{print $6}'|sed s/"bytes:"//`
    let "LAN2UP= $LAN2UPNOW - $LAN2UPOLD"
    let "LAN2DOWN= $LAN2DOWNNOW - $LAN2DOWNOLD"
    MONLAN2="<td style=\" font-size:xx-small; height:1px; width:50;\">up: $(($LAN2DOWN / 1024)) <br />dn: $(($LAN2UP / 1024))</td>"
    let "LANTOTDOWN=$LANTOTDOWN + $(($LAN2UP / 1024))"
    let "LANTOTUP=$LANTOTUP + $(($LAN2DOWN / 1024))"
fi

#LAN3
if [ "${IF_LOCAL3}" != "" ]; then
    LAN3OUTPUT=`${IFCONFIG} ${IF_LOCAL3} |grep bytes`
    LAN3DOWNNOW=`echo ${LAN3OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    LAN3UPNOW=`echo ${LAN3OUTPUT}|awk '{print $6}'|sed s/"bytes:"//`
    let "LAN3UP= $LAN3UPNOW - $LAN3UPOLD"
    let "LAN3DOWN= $LAN3DOWNNOW - $LAN3DOWNOLD"
    MONLAN3="<td style=\" font-size:xx-small; height:1px; width:50;\">up: $(($LAN3DOWN / 1024)) <br />dn: $(($LAN3UP / 1024))</td>"
    let "LANTOTDOWN=$LANTOTDOWN + $(($LAN3UP / 1024))"
    let "LANTOTUP=$LANTOTUP + $(($LAN3DOWN / 1024))"
fi

#LAN4
if [ "${IF_LOCAL4}" != "" ]; then
    LAN4OUTPUT=`${IFCONFIG} ${IF_LOCAL4} |grep bytes`
    LAN4DOWNNOW=`echo ${LAN4OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    LAN4UPNOW=`echo ${LAN4OUTPUT}|awk '{print $6}'|sed s/"bytes:"//`
    let "LAN4UP= $LAN4UPNOW - $LAN4UPOLD"
    let "LAN4DOWN= $LAN4DOWNNOW - $LAN4DOWNOLD"
    MONLAN4="<td style=\" font-size:xx-small; height:1px; width:50;\">up: $(($LAN4DOWN / 1024)) <br />dn: $(($LAN4UP / 1024))</td>"
    let "LANTOTDOWN=$LANTOTDOWN + $(($LAN4UP / 1024))"
    let "LANTOTUP=$LANTOTUP + $(($LAN4DOWN / 1024))"
fi
#########

#### INETS
INETTOTDOWN=0
INETTOTUP=0

#INET1
if [ "${IF_INET}" != "" ]; then
    INET1OUTPUT=`${IFCONFIG} ${IF_INET} |grep bytes`
    INET1DOWNNOW=`echo ${INET1OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    INET1UPNOW=`echo ${INET1OUTPUT}|awk '{print $6}'|sed s/"bytes:"//`
    let "INET1UP= $INET1UPNOW - $INET1UPOLD"
    let "INET1DOWN= $INET1DOWNNOW - $INET1DOWNOLD"
    MONINET1="<td style=\" font-size:xx-small; height:1px; width:50;\">up: $(($INET1UP / 1024)) &nbsp&nbsp&nbsp  <br />dn: $(($INET1DOWN / 1024))</td>"
    let "INETTOTUP=$INETTOTUP + $(($INET1UP / 1024))"
    let "INETTOTDOWN=$INETTOTDOWN + $(($INET1DOWN / 1024))"
fi

#INET2
if [ "${IF_INET2}" != "" ]; then
    INET2OUTPUT=`${IFCONFIG} ${IF_INET2} |grep bytes`
    INET2DOWNNOW=`echo ${INET2OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    INET2UPNOW=`echo ${INET2OUTPUT}|awk '{print $6}'|sed s/"bytes:"//`
    let "INET2UP= $INET2UPNOW - $INET2UPOLD"
    let "INET2DOWN= $INET2DOWNNOW - $INET2DOWNOLD"
    MONINET2="<td style=\" font-size:xx-small; height:1px; width:50;\">up: $(($INET2UP / 1024)) &nbsp&nbsp&nbsp  <br />dn: $(($INET2DOWN / 1024))</td>"
    let "INETTOTUP=$INETTOTUP + $(($INET2UP / 1024))"
    let "INETTOTDOWN=$INETTOTDOWN + $(($INET2DOWN / 1024))"
fi

#INET3
if [ "${IF_INET3}" != "" ]; then
    INET3OUTPUT=`${IFCONFIG} ${IF_INET3} |grep bytes`
    INET3DOWNNOW=`echo ${INET3OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    INET3UPNOW=`echo ${INET3OUTPUT}|awk '{print $6}'|sed s/"bytes:"//`
    let "INET3UP= $INET3UPNOW - $INET3UPOLD"
    let "INET3DOWN= $INET3DOWNNOW - $INET3DOWNOLD"
    MONINET3="<td style=\" font-size:xx-small; height:1px; width:50;\">up: $(($INET3UP / 1024)) &nbsp&nbsp&nbsp  <br />dn: $(($INET3DOWN / 1024))</td>"
    let "INETTOTUP=$INETTOTUP + $(($INET3UP / 1024))"
    let "INETTOTDOWN=$INETTOTDOWN + $(($INET3DOWN / 1024))"
fi

#INET4
if [ "${IF_INET4}" != "" ]; then
    INET4OUTPUT=`${IFCONFIG} ${IF_INET4} |grep bytes`
    INET4DOWNNOW=`echo ${INET4OUTPUT}|awk '{print $2}'|sed s/"bytes:"//`
    INET4UPNOW=`echo ${INET4OUTPUT}|awk '{print $6}'|sed s/"bytes:"//`
    let "INET4UP= $INET4UPNOW - $INET4UPOLD"
    let "INET4DOWN= $INET4DOWNNOW - $INET4DOWNOLD"
    MONINET4="<td style=\" font-size:xx-small; height:1px; width:50;\">up: $(($INET4UP / 1024)) &nbsp&nbsp&nbsp  <br />dn: $(($INET4DOWN / 1024))</td>"
    let "INETTOTUP=$INETTOTUP + $(($INET4UP / 1024))"
    let "INETTOTDOWN=$INETTOTDOWN + $(($INET4DOWN / 1024))"
fi


###########

#### TABLES
echo "<table style=\" background-color:transparent; \">"
echo "<tr><td style=\"background-color:transparent;\">"

#### INETS
echo "<table style=\" border:1px solid gray; background-color:transparent; \">"
echo "<tr><td colspan=4 style=\" font-size:xx-small; height:1px; text-align:center; width:200px;\" >up: <big><b>${INETTOTUP}</b></big>kb/s &nbsp&nbsp <big><b>INET</b></big> &nbsp&nbsp dn: <big><b>${INETTOTDOWN}</b></big>kb/s</td></tr>"
echo "<tr>"

#if [ "${IF_INET}" != "" ]; then
   echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">1</td>"
#fi

#if [ "${IF_INET2}" != "" ]; then
   echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">2</td>"
#fi

#if [ "${IF_INET3}" != "" ]; then
   echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">3</td>"
#fi

#if [ "${IF_INET4}" != "" ]; then
   echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">4</td>"
#fi

echo "</tr>"
echo "<tr>"

if [ "${IF_INET}" != "" ]; then
    echo $MONINET1
else
    echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">&nbsp</td>"
fi

if [ "${IF_INET2}" != "" ]; then
    echo $MONINET2
else
    echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">&nbsp</td>"
fi

if [ "${IF_INET3}" != "" ]; then
    echo $MONINET3
else
    echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">&nbsp</td>"
fi

if [ "${IF_INET4}" != "" ]; then
    echo $MONINET4
else
    echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">&nbsp</td>"
fi

echo "</tr>"
echo "</table>"
##########

#### LANS

echo "</td><td style=\"background-color:transparent;\">"

echo "<table style=\" border:1px solid gray; background-color:transparent; \">"
echo "<tr><td colspan=4 style=\" font-size:xx-small; height:1px; text-align:center; width:200px;\" >up: <big><b>${LANTOTUP}</b></big>kb/s &nbsp&nbsp <big><b>LAN</b></big> &nbsp&nbsp dn: <big><b>${LANTOTDOWN}</b></big>kb/s</td></tr>"
echo "<tr>"

#if [ "${IF_LOCAL}" != "" ]; then
   echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">1</td>"
#fi

#if [ "${IF_LOCAL2}" != "" ]; then
   echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">2</td>"
#fi

#if [ "${IF_LOCAL3}" != "" ]; then
   echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">3</td>"
#fi

#if [ "${IF_LOCAL4}" != "" ]; then
   echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">4</td>"
#fi

echo "</tr>"
echo "<tr>"

if [ "${IF_LOCAL}" != "" ]; then
    echo $MONLAN1
else
    echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">&nbsp</td>"
fi

if [ "${IF_LOCAL2}" != "" ]; then
    echo $MONLAN2
else
    echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">&nbsp</td>"
fi

if [ "${IF_LOCAL3}" != "" ]; then
    echo $MONLAN3
else
    echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">&nbsp</td>"
fi

if [ "${IF_LOCAL4}" != "" ]; then
    echo $MONLAN4
else
    echo "<td colspan=1 style=\" font-size:xx-small; height:1px; text-align:center; \">&nbsp</td>"
fi
echo "</tr>"
echo "</table>"

echo "</td></tr>"
##########
echo "</table>"
###########